Loading...
Searching...
No Matches
gridfire::policy::CNOIIChainPolicy Class Referencefinal

CNO II Chain Policy. More...

`#include <chains.h>`

Inheritance diagram for gridfire::policy::CNOIIChainPolicy:
[legend]
Collaboration diagram for gridfire::policy::CNOIIChainPolicy:
[legend]

## Public Member Functions

| CNOIIChainPolicy ()
std::unique_ptr< ReactionChainPolicy > | clone () const override
std::string | name () const override
Public Member Functions inherited from gridfire::policy::TemperatureDependentChainPolicy
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs)
| Construct a new Temperature Dependent Chain Policy object.
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs, std::optional< double > minT9)
| Construct a new Temperature Dependent Chain Policy object.
| TemperatureDependentChainPolicy (const std::vector< std::string > &reactionIDs, std::optional< double > minT9, std::optional< double > maxT9)
| Construct a new Temperature Dependent Chain Policy object.
| ~TemperatureDependentChainPolicy () override=default
| Virtual destructor.
const reaction::ReactionSet & | get_reactions () const override
| Get the reactions that comprise the chain.
bool | contains (const std::string &id) const override
| Check if a reaction or reaction ID is part of the chain.
bool | contains (const reaction::Reaction &reaction) const override
| Check if a reaction is part of the chain.
uint64_t | hash (uint64_t seed) const override
| Generate the hash for the reaction chain policy.
bool | operator== (const ReactionChainPolicy &other) const override
| Equality operator.
bool | operator!= (const ReactionChainPolicy &other) const override
| Inequality operator.
bool | is_active (double T9) const
| Check if the reaction chain is active at a given temperature.
Public Member Functions inherited from gridfire::policy::ReactionChainPolicy
virtual | ~ReactionChainPolicy ()=default

## Additional Inherited Members

Protected Attributes inherited from gridfire::policy::TemperatureDependentChainPolicy
ActiveTempRange | m_tempRange
| Active temperature range for the reaction chain.
std::vector< std::string > | m_reactionIDs
| Vector of reaction IDs that comprise the chain.
reaction::ReactionSet | m_reactions
| Set of reactions that comprise the chain.

## Detailed Description

CNO II Chain Policy.

This class implements the CNO II cycle of nuclear reactions. This chain's minimum temperature is set to T9=0.001 (or 1e6K). This chain includes reactions:

- n15(p,g)o16
- o16(p,g)f17
- f17(p,g)ne18
- ne18(,e+)f18
- f18(p,a)o15
- o15(,e+)n15

## Constructor & Destructor Documentation

## CNOIIChainPolicy()

gridfire::policy::CNOIIChainPolicy::CNOIIChainPolicy | ( |  | ) |

## Member Function Documentation

## clone()

std::unique_ptr< ReactionChainPolicy > gridfire::policy::CNOIIChainPolicy::clone | ( |  | ) | const

nodiscardoverridevirtual

Implements gridfire::policy::ReactionChainPolicy.

## name()

std::string gridfire::policy::CNOIIChainPolicy::name | ( |  | ) | const

nodiscardoverridevirtual

Implements gridfire::policy::ReactionChainPolicy.

The documentation for this class was generated from the following files:

- src/include/gridfire/policy/chains.h
- src/lib/policy/chains.cpp